Package Details: libgit2-glib-git v.0.99.0+17+gcaa0b64-1

Git Clone URL: https://aur.archlinux.org/libgit2-glib-git.git (read-only, click to copy)
Package Base: libgit2-glib-git
Description: GLib wrapper for libgit2
Upstream URL: https://gitlab.gnome.org/GNOME/libgit2-glib
Licenses: GPL
Conflicts: libgit2-glib
Provides: libgit2-glib
Submitter: eworm
Maintainer: tallero
Last Packager: tallero
Votes: 5
Popularity: 0.000000
First Submitted: 2012-10-30 15:09
Last Updated: 2021-02-08 03:36

Required by (7)

Sources (1)

Latest Comments

1 2 Next › Last »

lubosz commented on 2015-07-13 15:52

7b251bfb7f32570d00e2def1039ace5e3b48b777 is the last working commit currently after tag 0.22.8.

libgit2-git does not work, use libgit2.

tetris11 commented on 2013-12-24 20:12

Am getting unsuppressible errors as described by aaronp:

ggit-blame.c:307:19: error: unknown type name 'git_blame'

was unable to build libit2-git suggested by garyvdm due to python errors... my isn't this fun.

garyvdm commented on 2013-12-13 20:26

libgit2-git now needed (solves aaronp's issue.)

aaronp commented on 2013-12-08 00:43

Build fails. Lots of errors starting with

In file included from ggit-blame.c:21:0:
ggit-blame.h:75:46: error: unknown type name 'git_blame'

garyvdm commented on 2013-07-10 12:04

Improved PKGBUILD: http://fpaste.org/24218/
What's diff:
* cmake not a makedepend
* make license, description, build options the same as community/libgit2-glib
* Add check

garyvdm commented on 2013-07-10 11:53

Improved PKGBUILD: http://fpaste.org/24203/
What's diff:
* cmake not a makedepend
* make license, description, build options the same as community/libgit2-glib
* Add check

techlive commented on 2013-05-15 09:48

"gtk-doc>=1.0" needs to be added to makedepends.

cedeel commented on 2013-03-01 13:45

gobject-introspection needs to be added to makedepends.

cedeel commented on 2013-03-01 13:35

Needs gnome-common in makedepends.

rayonix commented on 2013-02-14 19:14

It looks the problem is that extra/gnome-common is out of date. The latest version of gnome-autogen.sh in the upstream repo has been updated for automake 1.13.